package com.vendor.burn.commands;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.commands.SerialCommand;

public class NetCommand extends SerialCommand {
  private static final String KEY = "setenv";
  
  private static final String BLANK = " ";
  
  private static final String KEY_SERVER_IP = "serverip";
  
  private static final String KEY_SERVER_PORT = "udpdstp";
  
  private static final String KEY_CLIENT_IP = "ipaddr";
  
  private static final String KEY_CLIENT_MAC = "ethaddr";
  
  private static final String KEY_CLIENT_NETMASK = "netmask";
  
  private static final String KEY_CLIENT_GATEWAY = "gatewayip";
  
  private static final String KEY_CLIENT_ETHACT = "ethact";
  
  private static final String[] KEY_ETHACT = new String[] { "Auto", "ethact 0", "ethact 1", "ethact 2", "ethact 3" };
  
  private NetCommand(String key, String address) {
    StringBuilder sb = new StringBuilder();
    sb.append("setenv");
    sb.append(" ");
    sb.append(key);
    sb.append(" ");
    sb.append(address);
    setCommand(sb.toString());
    setTimeout(5000);
  }
  
  public static com.vendor.burn.commands.NetCommand setServerPort(String port) {
    return new com.vendor.burn.commands.NetCommand("udpdstp", port);
  }
  
  public static com.vendor.burn.commands.NetCommand setServerIP(String serverIP) {
    return new com.vendor.burn.commands.NetCommand("serverip", serverIP);
  }
  
  public static com.vendor.burn.commands.NetCommand setEthact(String ethactID) {
    return new com.vendor.burn.commands.NetCommand("ethact", ethactID);
  }
  
  public static com.vendor.burn.commands.NetCommand setClientIP(String IP) {
    return new com.vendor.burn.commands.NetCommand("ipaddr", IP);
  }
  
  public static com.vendor.burn.commands.NetCommand setClientMAC(String clientMac) {
    return new com.vendor.burn.commands.NetCommand("ethaddr", clientMac);
  }
  
  public static com.vendor.burn.commands.NetCommand setClientGateway(String cleintGateway) {
    return new com.vendor.burn.commands.NetCommand("gatewayip", cleintGateway);
  }
  
  public static com.vendor.burn.commands.NetCommand setClientNetMask(String subnetMask) {
    return new com.vendor.burn.commands.NetCommand("netmask", subnetMask);
  }
  
  public static String[] getKeyEthact() {
    return (String[])KEY_ETHACT.clone();
  }
}
